FIX::IncorrectDataFormat Struct Reference

Field has a badly formatted value. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::IncorrectDataFormat:
[legend]
Collaboration diagram for FIX::IncorrectDataFormat:
[legend]

## Public Member Functions

| IncorrectDataFormat (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Field has a badly formatted value.

Definition at line 146 of file Exceptions.h.

## Constructor & Destructor Documentation

## IncorrectDataFormat()

FIX::IncorrectDataFormat::IncorrectDataFormat | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 148 of file Exceptions.h.

: Exception( "Incorrect data format for value", what ),
field( f ) {}
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition Exceptions.h:35
FIX::IncorrectDataFormat::field
int field
Definition Exceptions.h:151

## Member Data Documentation

## field

int FIX::IncorrectDataFormat::field

Definition at line 151 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h